Skip to main content
GET
/
v2
/
carts
/
{cartId}
/
adjustments
Get all price adjustment details for a specific cart
curl --request GET \
  --url https://prod.cart.fabric.inc/v2/carts/{cartId}/adjustments \
  --header 'Authorization: <authorization>' \
  --header 'x-site-context: <x-site-context>'
import requests

url = "https://prod.cart.fabric.inc/v2/carts/{cartId}/adjustments"

headers = {
"x-site-context": "<x-site-context>",
"Authorization": "<authorization>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: '<authorization>'}
};

fetch('https://prod.cart.fabric.inc/v2/carts/{cartId}/adjustments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "priceAdjustments": [
    {
      "id": "d7e78a21-bee3-4448-bf1c-d5b5461dbda2",
      "reason": "compensation for delay",
      "amount": 20,
      "attributes": {
        "goldMember": [
          false
        ]
      }
    }
  ]
}
{
"code": "Bad Request",
"message": "User ID or Cart ID does not exist"
}
{
"code": "Cart or item not found",
"message": "If the issue persists please contact support@fabric.inc."
}
{
"code": "Internal Server Error",
"message": "An internal error occurred. If the issue persists please contact support@fabric.inc."
}

Headers

x-site-context
string
required

The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.

Example:

"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"

x-api-key
string

API Key for Gateway

Example:

"zaCELgL.0imfnc8mVLWwsAawjYr4Rx-Af50DDqtlx"

Authorization
string
required

Authorization token for the user

Example:

"eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9.eyJpZCI6IjYxZjIyMTU4..."

Path Parameters

cartId
string
required

Cart ID to retrieve all the price adjustments made to the cart

Example:

"d7e78a21-bee3-4448-bf1c-d5b5461dbda2"

Response

OK

Sample response containing price adjustment details

priceAdjustments
object[] | null

List of price adjustment details for the specified line item or the specified cart